%% show ground steering angle beta 
% for a range of lean angles p and steering angles d

% by arend schwab 14 Nov 2012

dtor=pi/180;
alpha=70*dtor;

Delta = linspace(0,60*dtor,7);
Phi = linspace(0,90*dtor,90);

rtod = 180/pi;

for i=1:length(Delta)
  delta = Delta(i);
  Beta = atan2(sin(delta)*sin(alpha),(cos(delta).*cos(Phi)-sin(delta)*cos(alpha).*sin(Phi)));
  plot(Phi.*rtod,Beta.*rtod)
  hold on
  text(Phi(45)*rtod,Beta(45)*rtod,num2str(delta*rtod))
end
grid on
xlabel('lean angle \phi deg')
ylabel('ground steering angle \beta deg')
legend(' steering angle \delta=linspace(0,60,10) deg')
title(sprintf('head angle alfa = %g deg',alpha*rtod))

%% Bonus question: prove that the limit of beta for phi->90 = 110
