%% steady curving of a bicycle

% by Arend Schwab 13 Nov 2014 TUDelft

d2r=pi/180

% normal to the front frame plane in the F frame
nf_F = [0;1;0]
% normal to the ground plane in the N frame
ng_N = [0;0;-1]

% head angle
alpha = -70*d2r
% lean angle
phi = 30*d2r
% steer angle
delta = 10*d2r

% Rotation matrices
Rd_SF = [1     0          0
         0 cos(delta) -sin(delta)
         0 sin(delta)  cos(delta)]
     
Ra_RS = [cos(alpha) 0 sin(alpha)
             0      1     0
        -sin(alpha) 0 cos(alpha)]
    
Rp_NR = [1     0          0
         0 cos(phi) -sin(phi)
         0 sin(phi)  cos(phi)]  

% rotate nf from F to N
nf_N = Rp_NR*Ra_RS*Rd_SF*nf_F
% find the line of intersection between the ground plane and the 
% front frame plane in N
a = cross(ng_N,nf_N)
beta = atan2(a(2),a(1))
beta/d2r


